package bk;

import javax.swing.JTree;

import animation.AlgorithmStage;
import animation.PseudoCodeNode;
import codelines.FunctionDefinition;
import lib.TextLayoutHelper;

/**
 * The stage of the combination of the four extremal layouts.
 * @author kolja
 *
 */
public class Combine implements AlgorithmStage {

    @Override
    public PseudoCodeNode createPseudocodeTree( JTree tree ) {
        String[] vars = { "graph" };
        PseudoCodeNode root = new PseudoCodeNode( TextLayoutHelper.setupPseudoCode( "function combine( graph )", vars ), tree, new FunctionDefinition( vars ) );
        return root;
    }
}
