package bk;

import javax.swing.JTree;

import animation.AlgorithmStage;
import animation.PseudoCodeNode;
import codelines.FunctionDefinition;
import lib.TextLayoutHelper;

/**
 * The stage of compacting the layout.
 * @author kolja
 *
 */
public class Compaction implements AlgorithmStage {

    @Override
    public PseudoCodeNode createPseudocodeTree( JTree tree ) {
        String[] vars = { "layout", "graph" };
        PseudoCodeNode root = new PseudoCodeNode( TextLayoutHelper.setupPseudoCode( "function horizontalCompaction( layout, graph )", vars ), tree, new FunctionDefinition( vars ) );
        return root;
    }
}
